Skip to main content
PATCH
Update a Node

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

flowId
string
required

The unique identifier for the Flow.

Required string length: 24
Pattern: ^[a-z0-9]{24}$
nodeId
string
required

The Id of the Node

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
type
string

Type of the Node

Example:

"if"

extension
string
Example:

"@cognigy/basic-nodes"

label
string

Replaces the default name of the Node displayed in the Flow Editor.

Example:

"A new Node"

comment
string

Adds additional information about Nodes, for example, a specific of the Node.

Example:

"this is a very important node"

commentColor
Pattern: ^#(?:[0-9a-fA-F]{3}){1,2}$
Example:

"#ff8a80"

isEntryPoint
boolean
Example:

false

isDisabled
boolean
Example:

false

config
object
Example:
localeReference
string
Example:

"63bd8ebb648e6e739f1bbd82"

analyticsLabel
string
Example:

"condition"

mock
object
localeId
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Successfully updated ChartNode

Last modified on July 22, 2026